[proaudio] [2123] Fixed the build to work with portage (C++ compiler, CFLAGS, LDFLAGS) |
[ Thread Index |
Date Index
| More lists.tuxfamily.org/proaudio Archives
]
Revision: 2123
Author: dominique
Date: 2012-05-29 19:55:37 +0200 (Tue, 29 May 2012)
Log Message:
-----------
Fixed the build to work with portage (C++ compiler, CFLAGS, LDFLAGS)
Modified Paths:
--------------
trunk/overlays/proaudio/media-sound/paulstretch/ChangeLog
trunk/overlays/proaudio/media-sound/paulstretch/paulstretch-2.2-r2.ebuild
Modified: trunk/overlays/proaudio/media-sound/paulstretch/ChangeLog
===================================================================
--- trunk/overlays/proaudio/media-sound/paulstretch/ChangeLog 2012-05-29 17:16:20 UTC (rev 2122)
+++ trunk/overlays/proaudio/media-sound/paulstretch/ChangeLog 2012-05-29 17:55:37 UTC (rev 2123)
@@ -7,6 +7,7 @@
29 May 2012; Dominique Michel <dominique_libre@xxxxxxxxxxxxxxx>
+paulstretch-2.2-r2.ebuild for the 2.2-2 version;
Added a jack USE flag.
+ Fixed the build to work with portage (C++ compiler, CFLAGS LDFLAGS)
21 Jul 2010; Hakan Demiralp <keenblade@xxxxxxxxxxxxx>
+files/fix-mp3inputs.patch, +paulstretch-2.0.ebuild:
Modified: trunk/overlays/proaudio/media-sound/paulstretch/paulstretch-2.2-r2.ebuild
===================================================================
--- trunk/overlays/proaudio/media-sound/paulstretch/paulstretch-2.2-r2.ebuild 2012-05-29 17:16:20 UTC (rev 2122)
+++ trunk/overlays/proaudio/media-sound/paulstretch/paulstretch-2.2-r2.ebuild 2012-05-29 17:55:37 UTC (rev 2123)
@@ -35,9 +35,21 @@
}
src_compile() {
- outfile=paulstretch
- fluid -c GUI.fl || die "generate gui failed"
if ! use jack; then
+ if use fftw; then
+ sed -i -e "s:g++ -ggdb:$(tc-getCXX) ${CFLAGS} ${LDFLAGS}:" \
+ compile_linux_fftw.sh || die "sed fix failed"
+ else
+ sed -i -e "s:g++ -ggdb:$(tc-getCXX) ${CFLAGS} ${LDFLAGS}:" \
+ compile_linux_kissfft.sh || die "sed fix failed"
+ fi
+ else
+ sed -i -e "s:g++ -ggdb:$(tc-getCXX) ${CFLAGS} ${LDFLAGS}:" \
+ compile_linux_fftw_jack.sh || die "sed fix failed"
+ fi
+# outfile=paulstretch
+# fluid -c GUI.fl || die "generate gui failed"
+ if ! use jack; then
if use fftw ;then
./compile_linux_fftw.sh || die "compilation failed"
else